#Arches 3.0.4 release notes

*July 21, 2015*

The main impetus for this release was [this bug](https://bitbucket.org/arches/arches3/issues/278/hip-trouble-with-entering-multiple) found by Bojan Kastelic (thanks Bojan!)

Users are encouraged to update at their earliest convenience.  Completely re-installing Arches and Arches-HIP is the easiest way to accomplish this.

If you can't completely re-install Arches (because you have data in the system that you want to preserve) then you'll need to upgrade by running the following commands:

```
pip install arches --upgrade
pip install arches-hip --upgrade
```

After upgrading you'll need to apply a patch by running this command (remembering to update the path to the patch file):

* (on linux) --> sudo python manage.py install_patch -s {path to arches v3}/arches/management/patches/20150717_upgrade_to_v3_0_4 
* (on windows) --> python manage.py install_patch -s {path to arches v3}/arches/management/patches/20150717_upgrade_to_v3_0_4  

####Changes

* exclude uploaded files from the pip install
* add Resource and Entity model tests, add more intuitive CAR test resource
* adding a way to get the version of Arches from the command line
* adding the ability to apply a patch to a running system
* Removed mock creator and updater details from search results until they can be
* update old ENTITY_MODEL setting to new RESOURCE_MODEL setting.
* part of a fix to the component form, where only one component could be saved, fixes #278
* Changed postgis template name to template_postgis_20
* fix the errors being thrown by the loading of the test db schema
* Adding tool to index arches from the database.
* Improved uuid identification method
* add a link to arches thread on mergenodes
* Added logic that checks if a legacy id in an authority document is a uuid and if
* Fixed loading of map and geometries in wizard forms.
* Added a resize trigger after a wizard form is toggled open. A listener in the
* fix error where adding a "query" after adding a "filter" didn't actually add the "query" to the dsl
* improve the logic when retrieving the prefLabel of a concept from Elasticsearch
* Added form level validation to base form
* allow for multiple nodes in a singleEdit branch, add a call to validate on node change of singleEdit forms
* update install docs
* update installation documents for windows