#Arches 3.1.1 release notes

*November 13, 2015*

The Arches team has been busy trying to improve Arches and fix a few bugs as well.
Below you'll find a listing of all the changes that are included in the latest releases.

Users are encouraged to update at their earliest convenience.  Completely re-installing Arches and Arches-HIP is the easiest way to accomplish this.

If you can't completely re-install Arches (because you have data in the system that you want to preserve) then you'll need to upgrade by running the following commands:

```
pip install arches --upgrade
pip install arches-hip --upgrade
```

After upgrading you'll need to apply a patch by running this command from an activated environment (make sure Elasticsearch is running):

* (on linux) --> sudo python manage.py install_patch -s upgrade_to_v3_1_1 
* (on windows) --> python manage.py install_patch -s upgrade_to_v3_1_1  

####Changes

* Added permissions change instructions to linux setup script
* Added related resources as csv to export
* Added date type and multipart features to export
* Specified the version of virtualenv to use because of issues running the arches-app command with more recent versions on linux.
* Added logic to support loading resources with a hard-coded value type conceptid.
* Added support for specifying a particular value_type for an export column whenthe entity being exported is of domain type. Previously we could only specify a primary and secondary export column - if the entitytypeid was not an e55.
* Enabled the importer to accept uuid formatted legacy ids as the entityid for aresource
* Add sort order to default value types.
* Adding graph export tool
* Adding arches json exporter and importer
* Allow users to view related resources without being logged in
* Make sure get_context method always returns a valid concept
* Fix file upload during the save of a .arches file
* Fix JSON output of a concept
* Fix time filter to work with branch list mods
* Fix link color in lists
* Change authentication logic. Add anonymous user. Create read and edit groups. Add anonymous and admin user to respective groups. Cascade changes to templates.
* Clean logic in auth method to not have duplicative logic to the setAnonymous user middleware
* Add unique constraint for legacyoids in concepts.concepts table. Add more information to entity type has no business table error.
* Fix html error that reverted the map zoom and position updates in the ui
* Add function to populate concepts legacyoid when adding concepts from RDM.
* Trigger 'delete' event AFTER removing the branch (this fixes an issue in the time-filter.js) where a delete wouldn't refresh the search
* Fixed bug that kept numbers from exporting to CSV.
* Fix a few missellings in the docs
* Fix bug where clicking a link to edit a form entry would cause that entry to disappear and not be entered into the editing section of the form, depends on update of knockout library
* Add deprecation decorator, mark user_can_edit context processor as deprecated