### Arches 4.0.1 release notes

October 12, 2017

The Arches team has been busy trying to improve Arches and fix a several bugs as well.
Below you'll find a listing of all the changes that are included in the latest release.

Some of the highlights:
- Added advanced search capability
- Added the ability to import shapefiles into Arches
- Containerized Arches with Docker ([readme](https://github.com/archesproject/arches/blob/master/docker/Readme.md))  - Thanks to Vincent Meijer!
- Several performance improvements
- Many small improvements to the RDM
- Upgraded to Postgres 9.6
- Many other small improvements

##### Upgrading Postgres
Because of the upgrade to Postgres 9.6, users will have to install Postgres 9.6 and migrate any Arches databases to the 9.6 version.  Be aware that multiple versions of Postgres can be run simultaneously on different ports, so users can maintain their older versions of the Arches database until they are satisfied that the migration was successful.  Using the backup/restore options with PgAdmin4 is probably the easiest way to perform the upgrade.

##### Upgrading Arches
Users are encouraged to update at their earliest convenience.  Completely re-installing Arches is the easiest way to accomplish this.

If you can't completely re-install Arches (because you have data in the system that you want to preserve) then you'll need to upgrade by running the following commands in your activated virtual environment (make sure you migrate your database to Postges 9.6 first):

```
pip install arches --upgrade
python manage.py migrate
```

As always the documentation can be found at http://arches4.readthedocs.io/en/latest/

#### Changes

- Change Postgres version from 9.5 to 9.6
- Add Docker integration, re #1650 - Thanks to Vincent Meijer!
- Updated project templates with TILE_CACHE_CONFIG setting, re #1662
- Don't allow the system settings graph to be managed as a resource graph, re #1636
- Add vector simplification and make a system setting
- Add resource instance datatype and widget #2305
- Changing the ResourceXResource relationshiptype property from a foreign key to the Value table to a string so that it supports both concept value uuids (as strings) and ontology property strings., re #2300
- Remove Networkx package anymore, re #2306
- Added advanced search component re #2315
- Implemented xy input in search, re #2323
- Add our own arches specific additions to the crm, re #2306
- Loading selected point coordinates into xy tool, re #2323
- make sure users don't reload the same ontology multiple times (based on file name), re #2306
- Refactored code to be more readable and use revised folder structure. Also started supporting loading from a local zip file. re #2335
- Clean up positioning of map widget tools, support scroll of overlay grid
- Added functions to load custom widgets, functions, and datatypes, re #2335
- Fix business data export bugs. Add support for universal new line mode on import. Add info about non-contiguous groups on import. re #2360 re #2361
- Fix bug with csv export of grouped business data. Add default 'file_field_name' to mapping file template. re #2367
- Added user prompt to overwrite existing graphs
- Add rdf format for resource export, re #2307
- Simplify the export of resource relations, re #2307
- Add Easting/Northing map widget geometry creation tool
- Use fully qualified ontology class and property names, re #2307
- Add create_package command, re #2335
- Modify json import to overwrite existing tiles on import. re #2394
- Added the ability to copy a resource instance, re #2346
- Allow a super user to access the system settings page regardless of whether there are resource graphs in the system, re #2316
- Upgraded mapbox gl js (& draw tools) re #2410
- Making a collection from a given concept, re #2200
- Permit users to change node configs when a node belongs to a nodegroup to which business data has not been saved, re #2342
- Add support for shapefiles import, re #1543
- Add label based concept business data import, re #2426
- Change name of mapbox_styles directory to mapbox_spec_styes for clarification, re #2335
- Make the RDM ui a bit more responsive, re #2199
- Added ability to load additional resources from the node list entry, re #2112
- Added the ability to change your password, re #282
- Add a bulk indexing method for concepts, re #2199
- Improve performance when listing parent concepts in the manage parent concepts modal, re #2199
- Adding isrequired to the node model and ability to toggle required nodes in cards and in the graph designer, re #363
- Record the original URI of concepts when importing skos files, re #245
- When importing from the AAT make sure to capture the AAT identifier, re #245
- Add feedback when deleting a concept scheme, re #1583
- Add label import support for domain-value datatype, re #2426
- Added pagination to related resources to prevent large numbers of relationships from crashing browser, re #2112
- Update in-app help documentation
- Add label import support for concept-list and domain-list datatypes. Fix issues with domain datatype validation. re #2426
- Fix ordering of concepts (now numeric sort values are respected), re #244
- Add error message for import of required nodes/node groups.
- Removed required nodes function, re #323
- Redirect users to the most suitable page when switching between graphs in the designer, re #1129
- Add support for rich text in search descriptions. re #2359
- Upgrade psycopg2 to version 2.7.3.1, re #2517