### Arches 4.1.1 release notes

May 17, 2018

The Arches team has been busy trying to improve Arches and fix a several bugs as well.
Below you'll find a listing of all the changes that are included in the latest release.

Some of the highlights:
- Arches now saves a resource instance only after a tile is saved
- Adds the ability for users to reset forgotten passwords
- Displays tile edits in edit history rather than recently created resources
- Allows users to add custom popup content for overlay features
- Enables import and export of node and resource instance datatypes
- Prevents displaying or zooming to restricted resources in the search page
- Allows admins to specify a local coordinate system for more accurate search buffer calculations
- Many other small improvements


#### Upgrading Arches

Users are encouraged to update at their earliest convenience.  Because this is a micro release, it is only necessary for most users to upgrade rather than reinstall arches.

You can upgrade by running the following command in your activated virtual environment:

```
pip install arches --upgrade
```

If you have Arches running on a web server such as Apache, be sure to update your static files directory and restart your web server.

As always the documentation can be found at http://arches.readthedocs.io/en/stable/


#### Upgrading an Arches project

If you created a project using 4.1.0, your exiting project should work with 4.1.1. However, you may want to add the ANALYSIS_COORDINATE_SYSTEM_SRID setting to your project's settings.py file and assign a local spatial reference (SRID) relevant to your project. This will make search buffer distances more accurate.
Note - the units of the coordinate system must be meters.


#### Changes

- Allows disabled state of switch widget. re #2701
- Add rule to prevent importing the same relations twice. re #2533
- Postpones creation of a resource instance until a tile has been saved. re #2573
- Disables items in a resource's manage menu (copy, delete, go to report, edit history) as well as the related resources link until a tile is saved against the resource instance. re #2573
- Replaces the 3-way switch with a 2-way switch in the card configuration form and report editor. re #2979
- Switches recent edits table from showing newly added resources to actual tile edits. Adds display name and user info to creation and deletion edits. re #2293
- Uses the language default language if only one language is identified as the default. If multiple languages or no languages are defined as default, the language in settings.LANGUAGE_CODE is used. re #1923
- Adds indication that a map widget config's accordion panel is closed/open, re #2883
- Disables links within edit history to deleted resource instances. re #2293
- Moves thesauri and collection tool menus into a single dropdown. re #2350
- Add min-height to allow scrollbars in firefox #1989 (#3029)
- Add shims to base.htm head for IE to use search page #2993 (#3048)
- Fixes tile save in safari and internet explorer, re #2534
- Docker: Respects project when running arbitrary commands
- Allow lists to scroll independently from their container. re #2853
- Adds custom popup to tileserver vector layer, re #2549
- Adds ALLOWED_POPUP_HOSTS so that users can specify permitted domains from which to allow popup data. re #2549
- Sets the database of a tileserver config file to the default database of a project so that vector sql files get loaded properly. re #2549
- Updates resource instance datatype validation to handle for missing resource instance ids. re #2967
- Enables import of resource instance datatypes in csv files. re #2967
- Replaces 'ERROR' with 'WARNING' when related instances are missing. Transforms resourceid list on import and export for the resource-instance-list type. re #2967
- Ensures csv business data loaded from a package has a mapping file. re #2967
- Abbreviates a resource name in the resource filter list with an ellipsis if the name is longer than 55 char. re #3124
- Implements django-password-reset. re #3119
- Adds ability to import and export node value datatype, re #3059, #3060
- Fixes sorting on date in the edit log.
- Allows user to specify analysis SRID for better search buffer accuracy. re #3244
- Displays error if a user tries to delete a resource model with instances. re #3282
- Filters points in the search map on permitted nodegroups, re #2492
