### Arches 4.3.1 release notes

The Arches team has been busy improving Arches and fixing several bugs as well.
Below you'll find a listing of all the changes that are included in the latest release.

Some of the highlights:
- Fixes issue preventing users unassigned to the Graph Editor group from editing related resources
- Fixes migration for users upgrading Arches with existing report records


#### Known Issues

- [#3993](https://github.com/archesproject/arches/issues/3993) - During graph creation (adding several nodes in a single session) the browser may crash or hang.  This is because the Knockout.js Mapping package that Arches uses consumes an unnecessarily large amount of memory.  

  **Workaround:** During heavy graph development users can periodically refresh the browser to reclaim memory and reduce the occurrence of browser issues.

- [#4044](https://github.com/archesproject/arches/issues/4044) - Exporting data that uses the File-list datatype in csv format can't be successfully re-imported.  

  **Workaround:** If users need to export data that uses the File-list datatype, then they should export in JSON format instead, so that data can be successfully re-imported.

#### Upgrading Arches

Users are encouraged to update at their earliest convenience.  Completely re-installing Arches is the easiest way to accomplish this.

If you can't completely re-install Arches (because you have data in the system that you want to preserve) then you'll need to upgrade by running the following commands in your activated virtual environment:

```
pip install arches --upgrade --no-binary :all:
pip uninstall pycryptodome, rdflib-jsonld
pip install pycryptodome django-oauth-toolkit==1.1.2 PyLD[requests]==1.0.3 pyprind==2.11.2

python manage.py migrate
python manage.py es delete_indexes
python manage.py es setup_indexes
python manage.py es index_database
```

If you have Arches running on a web server such as Apache, be sure to update your static files directory and restart your web server.

As always the documentation can be found at http://arches.readthedocs.io

#### Upgrading an Arches project

If you are upgrading your project from 4.1.1, you should review the project [upgrade steps from 4.1.1 to 4.2](https://github.com/archesproject/arches/blob/master/releases/4.2.0.md#upgrading-arches) before proceeding.

If you have made no changes to the package.json file in your project you can run :

1. In a terminal cd to your project directory and run the following command::

        python manage.py updateproject

    This command adds the `package.json` and `.yarnrc` files to your project and then runs `yarn install`.

2. If you have made changes to `package.json`, then you should update your javascript dependencies manually:

    ```
    cd into your project's root directory (where yarn.lock is located) and run the following:
    yarn add core-js@2.5.7
    yarn add dom4@2.0.1
    yarn install
    yarn upgrade mapbox-gl@0.48.0
    yarn upgrade underscore@1.9.1
    ```

#### Changes

    - Fixes issue preventing users unassigned to the Graph Editor group from editing related resources
    - Fixes migration for users upgrading Arches with existing report records
