Arches 6.2.4 release notes
------------------------
### Bug Fixes and Enhancements

- Updated Django to latest patch release #9731
- Updated several JS dependencies to latest patch releases, #9782, #9814, #9527
- Ensure tiles are properly filtered by user in resource JSON, #9780
- Fix display of IIIF widget in reports, #8419


### Dependency changes:
```
Javascript:
    Upgraded:
        @mapbox/geojson-extent: 0.3.2 > ~1.0.1
        jquery: 3.6.1 > ^3.6.1
        jquery-migrate: 3.4.0 > ~3.4.1,
        moment-timezone: 0.5.34 > ~0.5.43
        requirejs-text: 2.0.12 > ~2.0.16
        underscore: 1.13.4 > ~1.13.6
        eonasdan-bootstrap-datetimepicker: 4.17.44 > ~4.17.49

Python:
    Upgraded:
        Django 3.2.18 > 3.2.20
```


### Upgrading Arches
1. You must be upgraded to at least version 6.2.0 before proceeding.

2. Upgrade to Arches 6.2.4

    If using a virtual environment, be sure to activate it:

        pip install --upgrade arches==6.2.4

3. Update your Javascript dependencies

    Navigate to the directory with your project's package.json file. This is located in the same directory as your project's settings.py file.
    Ensure your arches dependency points to either `#archesproject/arches#dev/6.2.x` or `#archesproject/arches#stable/6.2.4`.\
    For example:

        "dependencies": {
            "arches": "archesproject/arches#dev/6.2.x"
        }
    
    Then run:
        yarn install

4. If you are running Arches on Apache, be sure to run:

    ```
    python manage.py collectstatic
    ```
    and restart your server.
    ```
    sudo service apache2 reload
    ```

5. Finally, If you are running Celery, you should also restart your Celery worker(s). The process for doing this depends on how Celery is being run.
