Arches 6.2.5 release notes
------------------------
### Bug Fixes and Enhancements

- Fixes possible out of Memory Error during database migration #9779
- Fixes multiprocess indexing #9953
- Fixes notification failure during Celery search export #10085
- Upgrades Django from 3.2.20 to 3.2.21


### Dependency changes:
```
Python:
    Upgraded:
        Django 3.2.20 > 3.2.21
```

### Upgrading Arches
1. You must be upgraded to at least version 6.2.0 before proceeding.

2. Upgrade to Arches 6.2.5

    If using a virtual environment, be sure to activate it:

        pip install --upgrade arches==6.2.5

3. Update your Javascript dependencies

    Navigate to the directory with your project's package.json file. This is located in the same directory as your project's settings.py file.
    Ensure your arches dependency points to either `#archesproject/arches#dev/6.2.x` or `#archesproject/arches#stable/6.2.5`.\
    For example:

        "dependencies": {
            "arches": "archesproject/arches#dev/6.2.x"
        }
    
    If upgrading from version <= 6.2.3 run:

        yarn install

1. If you are running Arches on Apache, be sure to run:

    ```
    python manage.py collectstatic
    ```
    and restart your server.
    ```
    sudo service apache2 reload
    ```

2. Finally, If you are running Celery, you should also restart your Celery worker(s). The process for doing this depends on how Celery is being run.
