Arches 7.2.1 release notes
------------------------


### Major enhancements
None

### Additional highlights
None
  
### Dependency changes
```
Python:
    Upgraded:
        None

    Added:
        None

JavaScript:
    Upgraded:
        jquery 3.6.1 -> 3.6.2

    Added:
        None
```

### Breaking changes
None

### Upgrading Arches

1. You must be upgraded to at least version 7.2.0 before proceeding. If you are on an earlier version, please refer to the upgrade process in the [Version 7.2.0 release notes](https://github.com/archesproject/arches/blob/dev/7.2.x/releases/7.2.0.md)

2. Be sure to backup your database before proceeding.

3. Upgrade to Arches 7.2.1
    ```
    pip install --upgrade arches==7.2.1
    ```

### Upgrading an Arches project

1. You must be upgraded to at least version 7.2.0 before proceeding. If you are on an earlier version, please refer to the upgrade process in the [Version 7.2.0 release notes](https://github.com/archesproject/arches/blob/dev/7.2.x/releases/7.2.0.md)

2. Update the JavaScript dependencies and devDependencies
    In the project's `package.json` file from `stable/7.2.0` to `stable/7.2.1`:
    ```    
    # 7.2.0
    {
        "dependencies": {
            "arches": "archesproject/arches#stable/7.2.0",
        },
        "devDependencies": {
            "arches-dev-dependencies": "archesproject/arches-dev-dependencies#stable/7.2.0"
        }
    ```
    ```    
    # 7.2.1
    {
        "dependencies": {
            "arches": "archesproject/arches#stable/7.2.1",
        },
        "devDependencies": {
            "arches-dev-dependencies": "archesproject/arches-dev-dependencies#stable/7.2.1"
        }
    ```

3. In a seperate terminal, navigate to the root directory of the project ( you should be on the same level as `package.json` ) 
    - manually remove the `yarn.lock` file, eg. `rm yarn.lock`
    - if it already exists, delete your `media/node_modules` folder
    - run `yarn`, this will install updated frontend dependencies in `/media/node_modules`.

4. If it's not already running, start the application server in a seperate terminal.

5. In the same terminal window where you ran `yarn` ( on the same level as `package.json` ), run `yarn start` or `yarn build_development`. This will generate your `media/build` directory.
    - `yarn start` will build the frontend of the application and then start a webpack development server
    - `yarn build_development` will build a development bundle for the frontend assests of the application -- this should complete in less than 2 minutes

    NOTE: Alternatively you can run `python manage.py build_production`. This will create a a production bundle of frontend assessts and also call `collectstatic`. The process usually takes between 1 and 2 hours depending on hardware.

6. If you are running Arches on Apache, be sure to run:

    ```
    python manage.py build_production  # see note in step 5
    ```
    and restart your server.
    ```
    sudo service apache2 reload
    ```

