Arches 7.4.1 release notes
------------------------

### Bug Fixes and Enhancements
- Updated Django to latest patch release #9731
- Updated several JS dependencies to latest patch releases, #9782, #9814, #9527
- Ensure tiles are properly filtered by user in resource JSON, #9780
- Fix display of IIIF widget in reports, #8419
- Fix for download_ready_email_notification template if link isn't available #9680
- Prevent rich text widget language options crowding #9678
- Fixes null check errors in the resource instance select widget #9685
- Fixes for transaction reversal for non-superusers #9699
- Adds template loading to package load process #9695
- Fixes celery warning translation for search #9520
- Replaces count method in favor of exists #9703
- Fix zipfile upload to bulk data manager from Windows #9693
- Handle for blank lines in branch excel #9750
- Json-Ld fix : Omit Edge from Null Domain #9561
- Fix for graphs with forward slash ("/") in name when using create_package #9795
- Fix for allowing double quotation marks in i18n inputs (dev/7.4.x) #9794
- Fix logic to use search url in bulk editor, #9806
- Add branch excel import support for unzipped xlsx file, #8469
- Fixes 'missing nodegroup' error when selecting a node in graph tree #9803
- Fixes issue with creating multiple concepts from a list using cli csv loader #9818
- Add upper bound on urllib3 (<2) #9826
- Allow url to be imported from csv without being a json property #9523
- Ensure pytz and tzdata are at version compatible with Celery re #9797
- Fix the preview in the string bulk editor #9837
- Filter branches from branch excel templates, #9812

### Dependency changes:
```
Javascript:
    Upgraded:
        @mapbox/geojson-extent: 0.3.2 > ~1.0.1
        jquery: 3.6.1 > ^3.6.1
        jquery-migrate: 3.4.0 > ~3.4.1,
        moment-timezone: 0.5.34 > ~0.5.43
        requirejs-text: 2.0.12 > ~2.0.16
        underscore: 1.13.4 > ~1.13.6
        eonasdan-bootstrap-datetimepicker: 4.17.44 > ~4.17.49

Python:
    Upgraded:
        Django 3.2.18 > 3.2.20
    Added:
        tzdata 2023.3
        pytz 2023.3
```

### Upgrading Arches

1. Upgrade to version 7.4.0 before proceeding. If upgrading from an earlier version, refer to the upgrade process in the [Version 7.4.0 release notes](https://github.com/archesproject/arches/blob/dev/7.4.x/releases/7.4.0.md)

2. Upgrade to Arches 7.4.1
    ```
    pip install --upgrade arches==7.4.1
    ```

3. Update the JavaScript dependencies and devDependencies:
    In the project's `package.json` file change arches from `stable/7.4.0` to `stable/7.4.1`:
    ```    
        "dependencies": {
            "arches": "archesproject/arches#stable/7.4.1",
        },
        "devDependencies": {
            "arches-dev-dependencies": "archesproject/arches-dev-dependencies#stable/7.4.1"
        }
    ```
    In your terminal navigate to the directory with your project's package.json file. Then run:

        yarn install


4. Start your application server in a separate terminal if it's not already running. Your webpack build will not complete without your application server running.

5. In the same terminal window where you ran `yarn install` ( on the same level as `package.json` ), run `yarn start` or `yarn build_development`. This will generate your `media/build` directory.
   - If running your project in development:
     -  `yarn start` will build the frontend of the application and then start a webpack development server
      - `yarn build_development` will build a development bundle for the frontend assests of the application -- this should complete in less than 2 minutes
    - If running your project in production:
      - `yarn build_production` This builds a production bundle. **takes up to 2hrs depending on resources**
      - Alternatively you can `cd ..` up a directory and run `python manage.py build_production`. This will create a production bundle of frontend assessts and also call `collectstatic`.
  

6. If you are running Arches on Apache, be sure to run:

    ```
    collectstatic
    ```
    and restart your server:
    ```
    sudo service apache2 reload
    ```

